Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.tips
Class DefaultTip

    java.lang.Object
      org.jdesktop.swingx.tips.DefaultTip

All Implemented Interfaces:
  TipOfTheDayModel.Tip

    public class DefaultTip

extends java.lang.Object
implements TipOfTheDayModel.Tip

Default `TipOfTheDayModel.Tip` implementation.

Author:
  Frederic Lavigne

Constructor Summary
`DefaultTip()`
`DefaultTip(java.lang.String name, java.lang.Object tip)`

Method Summary
`java.lang.Object` | `getTip()` The tip object to show.
`java.lang.String` | `getTipName()`
`void` | `setTip(java.lang.Object tip)`
`void` | `setTipName(java.lang.String name)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultTip

    public DefaultTip()

### DefaultTip

    public DefaultTip(java.lang.String name,
                      java.lang.Object tip)

Method Detail

### getTip

    public java.lang.Object getTip()

  Description copied from interface: `TipOfTheDayModel.Tip`
  The tip object to show. See `JXTipOfTheDay` for supported object types.

  Specified by:
    `getTip` in interface `TipOfTheDayModel.Tip`
  Returns:
    the tip to display

### setTip

    public void setTip(java.lang.Object tip)

### getTipName

    public java.lang.String getTipName()

  Specified by:
    `getTipName` in interface `TipOfTheDayModel.Tip`
  Returns:
    very short (optional) text describing the tip

### setTipName

    public void setTipName(java.lang.String name)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.